Upload an audio file
curl --request POST \
--url https://app.myhero.so/media/audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"workspaceId": "<string>",
"audio": {
"type": "Buffer",
"data": [
127
]
}
}
'import requests
url = "https://app.myhero.so/media/audio"
payload = {
"documentId": "<string>",
"workspaceId": "<string>",
"audio": {
"type": "Buffer",
"data": [127]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
workspaceId: '<string>',
audio: {type: 'Buffer', data: [127]}
})
};
fetch('https://app.myhero.so/media/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>",
"_id": "<string>",
"mimeType": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Media
Upload an audio file
Uploads an audio asset (mp3/wav/m4a/ogg/aac up to 50MB) and stores its metadata.
The audio bytes are accepted as { type: "Buffer", data: number[] } (RTK-Query encoded buffer) and uploaded to private object storage.
Returns the audio record including its _id, mimeType and a signed URL valid for 6 hours.
POST
/
media
/
audio
Upload an audio file
Authorizations
HERO personal access token
Body
application/json
Response
200 response
Show child attributes
Show child attributes
⌘I